#!/bin/bash

# 遍历所有的三位数
for (( i=100; i<=999; i++ ))
do
    # 取出百位、十位和个位数字
    hundreds=$((i / 100))
    tens=$(((i / 10) % 10))
    ones=$((i % 10))
    
    # 计算每位数字的立方和
    sum=$((hundreds*hundreds*hundreds + tens*tens*tens + ones*ones*ones))
    
    # 判断是否为水仙花数
    if [ $sum -eq $i ]; then
        echo $i
    fi
done